# Class: TextInsert

Defined in: | lib/Types/TextTypes.coffee
Inherits: | types.Insert

## Overview

Extends the basic Insert type to an operation that holds a text value

## Instance Method Summary

- # (void) getLength() Retrieve the effective length of the $content of this operation.
- # (void) val(current_position) The result will be concatenated with the results from the other insert operations in order to retrieve the content of the engine.
- # (void) _encode() Convert all relevant information of this operation to the json-format.

## Constructor Details

# (void) constructor(content, uid, prev, next, origin)

### Parameters:

- content ( `String` ) — The content of this Insert-type Operation. Usually you restrict the length of content to size 1
- uid ( `Object` ) — A unique identifier. If uid is undefined, a new uid will be created.

## Instance Method Details

# (void) getLength()

Retrieve the effective length of the $content of this operation.

# (void) val(current_position)

The result will be concatenated with the results from the other insert operations in order to retrieve the content of the engine.

### See also:

- HistoryBuffer.toExecutedArray

# (void) _encode()

Convert all relevant information of this operation to the json-format. This result can be send to other clients.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input